webpack4.0中autoprefixer不起作用的处理方法

今天折腾webpack4.0的时候,发现autoprefixer不起作用,查了下官方相关文档,显示如下:

Browserslist will use browsers and Node.js versions query from one of these sources:

browserslist key in package.json file in current or parent directories. We recommend this way.

.browserslistrc config file in current or parent directories.

browserslist config file in current or parent directories.

BROWSERSLIST environment variable.

主要意思就是,需要配置,配置,配置!

其中官方推荐的配置方法是在package.json中添加browserslist。

这样也省事,通用的配置如下:

  "browserslist": [
    "defaults",
    "not ie <= 8",
    "last 2 versions",
    "> 1%",
    "iOS >= 7",
    "Android >= 4.0"
  ]

未经允许不得转载:Mr.Bug » webpack4.0中autoprefixer不起作用的处理方法

评论 抢沙发

评论前必须登录!